@mixin variant-message($color) {
  border-left-color: $color;
  background-color: $color;
}

.notify-notifications {

  position: fixed;
  bottom: 10px;
  left: 10px;
  z-index: $z-index-message;
  perspective: 600px;

  .notify {
    display: block;
    position: relative;
    padding: 15px 50px 15px 25px;
    width: 320px;
    color: white;
    min-height: 50px;
    margin-top: 1px;
    background-color: white;
    border-left: solid 4px;

    .notify-label {
      position: absolute;
      top: 0;
      right: 0;
      width: 50px;
      height: 50px;
      line-height: 50px;
      text-align: center;
    }

    .notify-text {
      font-weight: 400;
    }

    button.close {
      position: absolute;
      top: 0;
      left: 0;
      float: none;
      width: 25px;
      height: 25px;
      text-align: center;
      line-height: 30px;
      opacity: 0.2;
    }

    .icon {
      font-size: 23px;
      vertical-align: middle;
    }

    &.notify-success {
      @include variant-message($success);
    }

    &.notify-warning {
      @include variant-message($warning);
    }

    &.notify-info {
      @include variant-message($info);
    }

    &.notify-danger {
      @include variant-message($danger);
    }
  }
}

.list-complete-item {
  transition: transform 0.6s, opacity 0.7s, height 1.2s;
}

.list-complete-enter, .list-complete-leave-to {
  transform: rotateX(88deg);
  opacity: 0;

  .notify {
    margin-top: 0
  }
}

.list-complete-leave-active {
  height: 0;
}
